#include <stdio.h>
#include <dos.h>
#include <string.h>


#define INTNO 0x63


void main(void){
int segp, offp, i, seg, off;
char buff[50], *b2;


// Ricerca indirizzo routine interrupt 0x63
// vedere l'intervue per l'utilizzo della funzione 1202 dell' INT 2F
asm{
mov ah,35h
mov al,INTNO
int 21h
}
seg=_ES;
off=_BX;
/*
// calcolo dell'indirizzo
seg=peek(segp,offp+2);
off=peek(segp,offp);
*/
// se l'indirizzo e' 0000:0000 vuol dire che l'INT 63 non e' usato
if(seg==0x0000&&off==0x0000)
	{
	printf("INT%2X not used", INTNO);
	exit(1);
	}

// cerca la stringa RotorDRV
for(i=10;i<50;i++)
	{
	buff[i-10]=peek(seg,off+i);
	}

if(strncmp(buff,"RotorDRV",8)==0)
	{
	printf("RotorDRV found at INT%2X\n",INTNO);
	if(buff[8]=='+')
		{
		printf("Additional driver found at INT%2X: ",INTNO);
		printf("%s",buff);
		}
	}
else printf("Invalid RotorDRV attached to INT%2X",INTNO);
}